### Constructor

# ICalGLib VcardParameter new_encoding

since: 4.0

#### Declaration [src]

    ICalVcardParameter*
    i_cal_vcard_parameter_new_encoding (
      ICalVcardParameterEncoding value
    )

#### Description [src]

Creates a new `ICalVcardParameter` holding ENCODING.

Available since: 4.0

#### Parameters

`value`

  Type: `ICalVcardParameterEncoding`

  The `ICalVcardParameterEncoding` value.

#### Return value

Type: `ICalVcardParameter`

A new `ICalVcardParameter` holding ENCODING.

The caller of the function takes ownership of the data, and is responsible for freeing it.